# Render Toolbox

Blender addon for rendering setup and checks

## Development
### Cloning
1. Create a development directory, such as:
    ```sh
   /home/<USER>/dev
   ```
2. Clone the repository with the following command:
    ```sh
   git clone ssh://git@git.autourdeminuit.com:222/autour_de_minuit/git_template.git
   ```

### Branches
The main branch is **master**.
It is a **protected branch** that only user with the `Owner` role can push to.

To contribute to this repository, you will have to create you own development branch, and then create a Pull Request. After at least **one validation**, you will be able to merge your changes.

Branches should be named in `kebab-case`, and can be grouped using `/`.

Examples: `bug/fix-crash-on-startup`, `bug/fix-font`, `feature/new-colors`, `theme-logic-refactor`, etc...


<!-- 
## TODO:
## Transfer useful and generic render function from gp_render:
- mute/unmute all file output nodes
- export crop infos to json (hardcoded path in gp_render. make an export dialog instead, with eventually an environnement variable for the path)
- Viewlayer list view

## Transfer useful and genereric render stuff from gp_toolbox:
- ? Conflict visibility checker ? This also fit other tasks, but more often use to debug at precomp/rendering step.

## Improve existing:
- Add a toggle to separate tech passes (always set to 32bit default)
- toggle to always create a new node (don't try connect to existing file output node)
- optional : only connect to existing file output if node settings are aligned with current ones
- Connect to file output node should not remove unlinked output by defaut (should be an option in window)

## Done:

- (just added an option "scene + node name socket") - Connect to file output node should have the option to add scene name as output prefix
- Connect to file output node should have search and replace options for output names in window -->
